package cn.iocoder.yudao.module.depository.vo.warehouseLine;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 仓库线路关联查询 VO")
public class WarehouseLineQueryVO {

    @ApiModelProperty(value = "始发仓id集合")
    private List<Long> startWarehouseIdList;

    @ApiModelProperty(value = "目的仓id集合")
    private List<Long> destWarehouseIdList;

    @ApiModelProperty(value = "运输方式")
    private Integer transportType;

    @ApiModelProperty(value = "目的地城市id")
    private List<Long> destCityId;

    @ApiModelProperty(value = "目的国家id")
    private List<Long> destCountryId;

    @ApiModelProperty(value = "目的仓")
    private List<Long> destWarehouseId;

    @ApiModelProperty(value = "出货渠道ID,空运才有，海运可以为空")
    private Long channelId;

    @ApiModelProperty(value = "客户端是否展示 默认为展示")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
